Skip to main content
GET
/
v1
/
topics
/
breakout
/
meta
/
{meta_topic_id}
Get Meta-Topic Detail
curl --request GET \
  --url https://api.upriver.ai/v1/topics/breakout/meta/{meta_topic_id} \
  --header 'X-API-Key: <api-key>'
{
  "meta_topic": {
    "meta_topic_id": "<string>",
    "narrative_id": "<string>",
    "display_name": "<string>",
    "vertical": "<string>",
    "status": "<string>",
    "cumulative_score": 123,
    "peak_burst_score": 123,
    "member_count": 123,
    "direct_citation_count": 123,
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "scope": "<string>",
    "ranking_score": 123,
    "last_activity_at": "2023-11-07T05:31:56Z",
    "parent_meta_topic_id": "<string>",
    "is_parent": false,
    "child_count": 123
  },
  "member_topics": [
    {
      "topic_id": "<string>",
      "topic_name": "<string>",
      "canonical_name": "<string>",
      "vertical": "<string>",
      "status": "<string>",
      "peak_score": 123,
      "discovered_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "category": "<string>",
      "relevance_score": 123,
      "engagement": {
        "percentile_score": 123
      },
      "confidence_score": 123,
      "source_summary": {},
      "citations": [
        {
          "source_category": "<string>",
          "source_url": "<string>",
          "title": "<string>",
          "snippet": "<string>",
          "source_authority": 123,
          "engagement_score": 123,
          "published_at": "2023-11-07T05:31:56Z"
        }
      ],
      "entities": [
        {
          "canonical_name": "<string>",
          "entity_type": "<string>",
          "confidence": 123,
          "entity_id": "<string>",
          "entity_subtype": "<string>"
        }
      ],
      "trend": {
        "momentum": 1,
        "direction": "up"
      },
      "narrative_id": "<string>"
    }
  ],
  "direct_citations": [
    {
      "source_type": "<string>",
      "source_url": "<string>",
      "title": "<string>",
      "snippet": "<string>",
      "source_authority": 123,
      "engagement_score": 123,
      "published_at": "2023-11-07T05:31:56Z"
    }
  ],
  "children": [
    {
      "meta_topic_id": "<string>",
      "narrative_id": "<string>",
      "display_name": "<string>",
      "vertical": "<string>",
      "status": "<string>",
      "cumulative_score": 123,
      "peak_burst_score": 123,
      "member_count": 123,
      "direct_citation_count": 123,
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "scope": "<string>",
      "ranking_score": 123,
      "last_activity_at": "2023-11-07T05:31:56Z",
      "parent_meta_topic_id": "<string>",
      "is_parent": false,
      "child_count": 123
    }
  ],
  "parent": {
    "meta_topic_id": "<string>",
    "narrative_id": "<string>",
    "display_name": "<string>",
    "vertical": "<string>",
    "status": "<string>",
    "cumulative_score": 123,
    "peak_burst_score": 123,
    "member_count": 123,
    "direct_citation_count": 123,
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "scope": "<string>",
    "ranking_score": 123,
    "last_activity_at": "2023-11-07T05:31:56Z",
    "parent_meta_topic_id": "<string>",
    "is_parent": false,
    "child_count": 123
  }
}

Authorizations

X-API-Key
string
header
required

Path Parameters

meta_topic_id
string
required

Response

Successful Response

Detailed meta-topic with member topics and direct citations.

meta_topic
MetaTopicResponse · object
required

The meta-topic summary

member_topics
BreakoutTopicResponse · object[]

Child topics belonging to this narrative

direct_citations
MetaTopicCitationResponse · object[]

Citations attached directly to the meta-topic

children
MetaTopicResponse · object[]

Child meta-topics (only populated for parents)

parent
MetaTopicResponse · object

Parent meta-topic (only populated for children)